%global forgeurl https://github.com/jbruchon/jdupes

Version:        1.20.0

%forgemeta

Name:           jdupes
Release:        2%{?dist}
Summary:        Duplicate file finder and an enhanced fork of 'fdupes'

License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}
Patch0:         jdupes-1.20.0-Makefile.patch

BuildRequires:  gcc
BuildRequires:  make

%description
jdupes is a program for identifying and taking actions upon duplicate
files.

A WORD OF WARNING: jdupes IS NOT a drop-in compatible replacement for
fdupes! Do not blindly replace fdupes with jdupes in scripts and
expect everything to work the same way. Option availability and
meanings differ between the two programs. For example, the -I switch
in jdupes means "isolate" and blocks intra-argument matching, while in
fdupes it means "immediately delete files during scanning without
prompting the user."


%prep
%forgesetup
%patch0 -p1


%build
%make_build CFLAGS="%{optflags}" PREFIX="%{_prefix}" MAN_BASE_DIR="%{_mandir}"


%install
%make_install PREFIX="%{_prefix}" MAN_BASE_DIR="%{_mandir}"


%files
%license LICENSE
%doc CHANGES INSTALL README.md README.stupid_dupes
%{_bindir}/jdupes
%{_mandir}/man1/jdupes.1.gz


%changelog
* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 07 2021 David Cantrell <dcantrell@redhat.com> - 1.20.0-1
- Initial package
